#
# spec file for package python-EditorConfig
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-EditorConfig
Version:        0.12.2
Release:        bp155.2.11
Summary:        File Locator and Interpreter for Python
License:        Python-2.0 AND BSD-2-Clause
URL:            https://editorconfig.org
Source0:        https://files.pythonhosted.org/packages/source/E/EditorConfig/EditorConfig-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
EditorConfig Python Core provides the same functionality as the
EditorConfig C Core. EditorConfig Python core can be used as a
command line program or as an importable library.

%prep
%setup -q -n EditorConfig-%{version}

%build
%python_build

%install
%python_install
# remove executable that is already supplied by the editorconfig package
rm -rf %{buildroot}%{_bindir}
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.* COPYING
%doc README.rst
%{python_sitelib}/editorconfig
%{python_sitelib}/EditorConfig-%{version}-py%{python_version}.egg-info

%changelog
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Tue Mar  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.12.2:
  * no upstream changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Mar  3 2017 aloisio@gmx.com
- Converted to single-spec
- Dropped rpmlintrc
- Dropped executable already supplied by the editorconfig
  package
* Thu Feb 16 2017 aloisio@gmx.com
- Renamed executable to avoid conflict with the editorconfig
  package
* Tue Feb 14 2017 aloisio@gmx.com
- Added python3-EditorConfig-rpmlintrc as source file
* Thu Feb  2 2017 aloisio@gmx.com
- Initial package (0.12.1)
